unit main;
{$ifdef FPC}{$mode objfpc}{$h+}{$endif}
interface
uses
 mseglob,mseguiglob,mseapplication,msestat,msemenus,msegui,msegraphics,
 msegraphutils,mseevent,mseclasses,mseforms,msedatabase,mseodbcconn,sysutils,db,
 msebufdataset,msedb,msesqldb,msqldb,msedataedits,msedbedit,msedialog,mseedit,
 msegrids,mselookupbuffer,msestrings,msetypes,msesimplewidgets,msewidgets;

type
 tmainfo = class(tmseform)
   tmseodbcconnection1: tmseodbcconnection;
   tmsesqltransaction1: tmsesqltransaction;
   tmsesqlquery1: tmsesqlquery;
   tmsedatasource1: tmsedatasource;
   tdbstringgrid1: tdbstringgrid;
   tbutton2: tbutton;
   tlabel2: tlabel;
   tmsesqlquery2: tmsesqlquery;
   tstringedit1: tstringedit;
   tbutton3: tbutton;
   tlabel4: tlabel;
   tbutton4: tbutton;
   tlabel1: tlabel;
   procedure Button2Click(const sender: TObject);
   procedure DataChange(Sender: TObject; Field: TField);
   procedure Button3Click(const sender: TObject);
   procedure Button4Click(const sender: TObject);
   procedure FormCreate(const sender: TObject);
   procedure FormDestroy(const sender: TObject);
 end;
var
 mainfo: tmainfo;
implementation
uses
 main_mfm;
 

procedure tmainfo.FormCreate(const sender: TObject);
begin
  tmseodbcconnection1.Connected := TRUE;
end; { FormCreate }

procedure tmainfo.FormDestroy(const sender: TObject);
begin
  tmseodbcconnection1.Connected := TRUE;
end; { FormDestroy }

procedure tmainfo.Button2Click(const sender: TObject);
begin
  IF tmsesqlquery1.Active
    THEN tmsesqlquery1.Active := FALSE
    ELSE tmsesqlquery1.Active := TRUE;
  IF tmsesqlquery1.Active
    THEN tlabel2.Caption := 'ON'
    ELSE tlabel2.Caption := 'OFF';
end; { Button2Click }

procedure tmainfo.DataChange(Sender: TObject; Field: TField);
begin
  tstringedit1.value := tmsesqlquery1.fieldbyname ('Baumart').AsString;
end; 
{ DataChange  }

procedure tmainfo.Button3Click(const sender: TObject);
VAR id : String;
begin
  if tmsesqlquery1.Active
    THEN Begin
           id := tmsesqlquery1.fieldbyname ('ID').AsString;
           tmsesqlquery1.Active := FALSE;
           tmsesqlquery2.SQL.Clear;
           tmsesqlquery2.SQL.Add ('UPDATE baumtabelle SET Baumart = "'+tstringedit1.value+'" WHERE ID = '+id);
           tstringedit1.value := tmsesqlquery2.SQL.Text;
           ShowMessage (tmsesqlquery2.SQL.Text);
           tmsesqlquery2.ExecSQL;
           tmsesqlquery1.Active := TRUE;
           IF tmsesqlquery1.Active
    		 THEN tlabel2.Caption := 'ON'
             ELSE tlabel2.Caption := 'OFF';    
         End; { If Query1.Active}
  end; 
procedure tmainfo.Button4Click(const sender: TObject);
VAR NeuID : String;
begin
  if tmsesqlquery1.Active
    THEN Begin
           tmsesqlquery1.Active := FALSE;
           tmsesqlquery2.SQL.Clear;
           tmsesqlquery2.SQL.Add ('SELECT MAX(ID) FROM baumtabelle');
           tmsesqlquery2.Active := TRUE;
           NeuID := IntToStr (tmsesqlquery2.fields[0].AsInteger + 1);
           tmsesqlquery2.Active := FALSE;
           tmsesqlquery2.SQL.Clear;
           tmsesqlquery2.SQL.Add ('INSERT INTO baumtabelle VALUES ('+NeuID+',"'+tstringedit1.value+'")');
           tstringedit1.value := tmsesqlquery2.SQL.Text;
           ShowMessage (tmsesqlquery2.SQL.Text);
           tmsesqlquery2.ExecSQL;
           tmsesqlquery1.Active := TRUE;
           IF tmsesqlquery1.Active
    		 THEN tlabel2.Caption := 'ON'
             ELSE tlabel2.Caption := 'OFF';    
         End; { If Query1.Active}
end; { Button3Click }

end.
